{#
/**
* @file
* Twig template file for displaying a slide node.
*
* Available variables:
* - movie_file: The movie file to show
* - preview_time: offset time for generating previews
*/
#}

{{ attach_library('slideshow/all-slides') }}

{% if view_mode == 'full' %}
{{ attach_library('slideshow/movienextslide') }}
{% endif %}

<div class="slide">
  <div class="movie-slide">
    {% if view_mode == 'full' %}
    <video muted autoplay>
      <source src="{{ file_url(movie_file.entity.fileuri) }}" type="video/mp4">
    </video>
    {% else %}
    <div style="font-size: 3em;">
    {{ file_url(movie_file.entity.fileuri) }}
    </div>
    {% endif %}
  </div>
</div>
